#!/bin/sh

a= . install2-init-functions

SDDM_STATE_DIR=/var/lib/sddm
SDDM_STATE_FILE=$SDDM_STATE_DIR/state.conf
WAYLAND_SESSION=/usr/share/wayland-sessions/plasmawayland.desktop

# exit if no sddm
[ -d $destdir/$SDDM_STATE_DIR ] || exit 0

# create state file if not exists
if ! [ -f "$destdir/$SDDM_STATE_FILE" ] ; then
    echo "" >$destdir/$SDDM_STATE_FILE ||:
    chmod 0644 $destdir/$SDDM_STATE_FILE ||:
    chown root:root $destdir/$SDDM_STATE_FILE ||:
fi

# setup "Last" section
echo "[Last]" >>$destdir/$SDDM_STATE_FILE ||:

# set wayland for tablet
if [ -f $destdir/$WAYLAND_SESSION ] \
    && [ -x $destdir/usr/bin/maliit-keyboard ] \
    #
then
    echo -e "# Preferred for Tablet PC\nSession=$WAYLAND_SESSION" >>$destdir/$SDDM_STATE_FILE ||:
fi

# setup first system user to sddm default
FIRST_USER=`exec_chroot id -n -u 500`
if [ -n "$FIRST_USER" ] ; then
    echo -e "User=$FIRST_USER" >>$destdir/$SDDM_STATE_FILE ||:
fi
